Bug 206435 - [exp-run] Update Qt5 to 5.5.1.
Summary: [exp-run] Update Qt5 to 5.5.1.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Raphael Kubo da Costa
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-01-20 17:27 UTC by Raphael Kubo da Costa
Modified: 2016-01-25 11:28 UTC (History)
3 users (show)

See Also:


Attachments
Patch v1 (221.21 KB, patch)
2016-01-20 17:27 UTC, Raphael Kubo da Costa
no flags Details | Diff
Patch v2 (227.03 KB, patch)
2016-01-22 13:55 UTC, Raphael Kubo da Costa
no flags Details | Diff
Patch v3 (223.95 KB, patch)
2016-01-22 14:24 UTC, Raphael Kubo da Costa
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Raphael Kubo da Costa freebsd_committer 2016-01-20 17:27:44 UTC
Created attachment 165872 [details]
Patch v1

kde@ needs an exp-run for updating the Qt5 ports. Patch here (and also attached): https://people.freebsd.org/~rakuco/exp-runs/qt-5.5.1-v1.patch

We need at least a run on a 10 system because it's the one I've test the least so far, but anything else is also good.
Comment 1 Antoine Brodin freebsd_committer 2016-01-21 06:54:24 UTC
Exp-run results on 10.2 amd64:

http://package18.nyi.freebsd.org/build.html?mastername=102amd64-default-PR206435&build=2016-01-21_06h42m46s

10 new failures:

+ {"origin"=>"audio/quimup", "pkgname"=>"quimup-1.4.0", "phase"=>"build", "errortype"=>"gcc4_error"}
+ {"origin"=>"comms/wsjtx", "pkgname"=>"wsjtx-1.5_1", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"databases/sqlitestudio", "pkgname"=>"sqlitestudio-3.0.7", "phase"=>"configure", "errortype"=>"???"}
+ {"origin"=>"editors/texstudio", "pkgname"=>"texstudio-2.10.4", "phase"=>"configure", "errortype"=>"???"}
+ {"origin"=>"irc/quassel", "pkgname"=>"quassel-0.12.2_1", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"mail/trojita", "pkgname"=>"trojita-0.5_1", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"net/quiterss", "pkgname"=>"quiterss-0.18.2", "phase"=>"build", "errortype"=>"gcc4_error"}
+ {"origin"=>"polish/kadu", "pkgname"=>"pl-kadu-2.1,1", "phase"=>"build", "errortype"=>"gcc4_error"}
+ {"origin"=>"ports-mgmt/octopkg", "pkgname"=>"octopkg-0.2.0", "phase"=>"build", "errortype"=>"gcc4_error"}
+ {"origin"=>"sysutils/pcbsd-utils-qt5", "pkgname"=>"pcbsd-utils-qt5-1444236547_1", "phase"=>"build", "errortype"=>"bad_C++_code"}

Failure logs:

http://package18.nyi.freebsd.org/data/102amd64-default-PR206435/2016-01-21_06h42m46s/logs/errors/quimup-1.4.0.log
http://package18.nyi.freebsd.org/data/102amd64-default-PR206435/2016-01-21_06h42m46s/logs/errors/wsjtx-1.5_1.log
http://package18.nyi.freebsd.org/data/102amd64-default-PR206435/2016-01-21_06h42m46s/logs/errors/sqlitestudio-3.0.7.log
http://package18.nyi.freebsd.org/data/102amd64-default-PR206435/2016-01-21_06h42m46s/logs/errors/texstudio-2.10.4.log
http://package18.nyi.freebsd.org/data/102amd64-default-PR206435/2016-01-21_06h42m46s/logs/errors/quassel-0.12.2_1.log
http://package18.nyi.freebsd.org/data/102amd64-default-PR206435/2016-01-21_06h42m46s/logs/errors/trojita-0.5_1.log
http://package18.nyi.freebsd.org/data/102amd64-default-PR206435/2016-01-21_06h42m46s/logs/errors/quiterss-0.18.2.log
http://package18.nyi.freebsd.org/data/102amd64-default-PR206435/2016-01-21_06h42m46s/logs/errors/pl-kadu-2.1,1.log
http://package18.nyi.freebsd.org/data/102amd64-default-PR206435/2016-01-21_06h42m46s/logs/errors/octopkg-0.2.0.log
http://package18.nyi.freebsd.org/data/102amd64-default-PR206435/2016-01-21_06h42m46s/logs/errors/pcbsd-utils-qt5-1444236547_1.log


I can test on other archs when those failures are fixed
Comment 2 Raphael Kubo da Costa freebsd_committer 2016-01-22 13:55:54 UTC
Created attachment 165956 [details]
Patch v2

Patch v2 is up, hopefully fixing all the reported failures. Also available here: https://people.freebsd.org/~rakuco/exp-runs/qt-5.5.1-v2.patch
Comment 3 Antoine Brodin freebsd_committer 2016-01-22 14:16:16 UTC
Something seems missing:

[00:00:04] ====>> Error: devel/qt5-uitools depends on nonexistent origin 'x11-toolkits/qt5-uiplugin'; Please contact maintainer of the port to fix this.
[00:00:04] ====>> Error: devel/qt5-designer depends on nonexistent origin 'x11-toolkits/qt5-uiplugin'; Please contact maintainer of the port to fix this.
[00:00:07] ====>> Error: devel/qt5 depends on nonexistent origin 'x11-toolkits/qt5-uiplugin'; Please contact maintainer of the port to fix this.
Comment 4 Raphael Kubo da Costa freebsd_committer 2016-01-22 14:24:47 UTC
Created attachment 165958 [details]
Patch v3

Grr, this never gets easy.
https://people.freebsd.org/~rakuco/exp-runs/qt-5.5.1-v3.patch
Comment 5 Raphael Kubo da Costa freebsd_committer 2016-01-22 23:06:04 UTC
Shit, I forgot about Quassel, but I know how to fix it.
Comment 6 Antoine Brodin freebsd_committer 2016-01-24 10:26:03 UTC
There is 1 failure on FreeBSD 9: net-im/teamwords

Failure logs:

http://package18.nyi.freebsd.org/data/93amd64-default-PR206435/2016-01-23_22h14m58s/logs/errors/teamwords-0.2.1.log
http://package18.nyi.freebsd.org/data/93i386-default-PR206435/2016-01-23_22h27m00s/logs/errors/teamwords-0.2.1.log

The rest looks fine  (don't forget to hook new ports to the category Makefile)
Comment 7 Raphael Kubo da Costa freebsd_committer 2016-01-24 16:59:09 UTC
Thanks for the exp-run. I've fixed teamword with a new patch in area51, and will go ahead and commit this new version.
Comment 8 commit-hook freebsd_committer 2016-01-24 18:10:25 UTC
A commit references this bug:

Author: rakuco
Date: Sun Jan 24 18:10:16 UTC 2016
New revision: 407169
URL: https://svnweb.freebsd.org/changeset/ports/407169

Log:
  Update Qt5 to 5.5.1.

  This is the latest stable release at time of writing.

  Release announcement: http://blog.qt.io/blog/2015/07/01/qt-5-5-released/
  New features in Qt 5.5: https://wiki.qt.io/New_Features_in_Qt_5.5

  As usual, huge thanks to Tobias Berner (tcberner@gmail.com) for all his work
  on these ports in kde@'s experimental area51 repository. He's the one who
  started the update and did a lot of the initial work on Qt 5.5. Ralf Nolden
  (nolden@kde.org) has contributed the initial version of most of our new Qt5
  ports.

  Also thanks to Yuri Victorovich (yuri@rawbw.com) for contributing PR 205805
  with his own patch for the 5.5.1 update. Some of his changes there prompted
  additional fixes and changes present in the final patch generated from our
  experimental repository.

  New ports:
  - comms/qt5-connectivity, comms/qt5-sensors, devel/qt5-location,
    graphics/qt5-3d, net/qt5-enginio, x11-toolkits/qt5-canvas3d,
    x11-toolkits/qt5-uiplugin.

  General changes in all Qt5 ports:
  - All Qt5 ports are now built with -Wl,--as-needed to avoid overlinking,
    which is a problem with qmake-based because the libraries passed to the
    linker come from the modules .pri files and many are not necessary.
  - With this change, several ports had their USE_QT5 lines adjusted to
    explicitly include some libraries that were pulled in implicitly, and to
    exclude libraries no longer required with -Wl,--as-needed.

  Changes in specific ports:
  - devel/qt5: Drop the SQL_PLUGINS and TOOLS options and depend on all Qt5
    ports by default. It makes the Makefile much simpler, and those options
    were already on by default.
  - devel/qt5-core: The clang+base libstdc++ workaround has been expanded and
    more C++11 features have been disabled when that combination is used by a
    port (basically, FreeBSD 9 with USES=compiler:c++11-lang). The disabled
    features have explanations for why they were disabled in the patched
    header itself.
  - devel/qt5-designer: uiplugins has been split out following a similar
    change upstream. By depending on qt5-uiplugin, qt5-uitools avoids having
    to depend on the big qt5-designer port.
  - multimedia/qt5-multimedia: The port now uses GStreamer 1.0 instead of
    0.10.
  - net/qt5-network: The port now depends on libproxy for proxy settings.
    Using libproxy allows proxy settings to be read from different sources,
    and also allows .pac files to work with Qt.
  - www/qt5-webkit: The port now uses GStreamer 1.0 instead of 0.10.

  PR:		205805
  PR:		206435

Changes:
  head/Mk/bsd.qt.mk
  head/comms/Makefile
  head/comms/qt5-connectivity/
  head/comms/qt5-connectivity/Makefile
  head/comms/qt5-connectivity/pkg-plist
  head/comms/qt5-sensors/
  head/comms/qt5-sensors/Makefile
  head/comms/qt5-sensors/pkg-plist
  head/comms/qt5-serialport/pkg-plist
  head/devel/Makefile
  head/devel/qmake5/Makefile
  head/devel/qmake5/pkg-plist
  head/devel/qt5/Makefile
  head/devel/qt5/distinfo
  head/devel/qt5/files/extrapatch-configure
  head/devel/qt5/files/extrapatch-libtool
  head/devel/qt5/files/extrapatch-src_corelib_global_qcompilerdetection.h
  head/devel/qt5-assistant/Makefile
  head/devel/qt5-assistant/files/patch-src__src.pro
  head/devel/qt5-core/Makefile
  head/devel/qt5-core/files/
  head/devel/qt5-core/files/patch-git_08be8691
  head/devel/qt5-core/files/patch-git_090bf50
  head/devel/qt5-core/files/patch-git_6552469
  head/devel/qt5-core/files/patch-git_c8c4ad0
  head/devel/qt5-core/pkg-plist
  head/devel/qt5-designer/Makefile
  head/devel/qt5-designer/files/patch-src__src.pro
  head/devel/qt5-designer/pkg-plist
  head/devel/qt5-help/files/patch-src__src.pro
  head/devel/qt5-linguist/Makefile
  head/devel/qt5-linguist/files/patch-src__src.pro
  head/devel/qt5-linguisttools/Makefile
  head/devel/qt5-linguisttools/files/patch-src__src.pro
  head/devel/qt5-location/
  head/devel/qt5-location/Makefile
  head/devel/qt5-location/files/
  head/devel/qt5-location/files/patch-qtlocation.pro
  head/devel/qt5-location/pkg-plist
  head/devel/qt5-qdbusviewer/Makefile
  head/devel/qt5-qdbusviewer/files/patch-src__src.pro
  head/devel/qt5-testlib/pkg-plist
  head/devel/qt5-uitools/Makefile
  head/devel/qt5-uitools/files/patch-src__designer__src__src.pro
  head/devel/qt5-uitools/files/patch-src__src.pro
  head/graphics/Makefile
  head/graphics/qt5-3d/
  head/graphics/qt5-3d/Makefile
  head/graphics/qt5-3d/files/
  head/graphics/qt5-3d/files/patch-git_d512090
  head/graphics/qt5-3d/files/patch-git_deffdaf9
  head/graphics/qt5-3d/pkg-plist
  head/graphics/qt5-pixeltool/Makefile
  head/graphics/qt5-pixeltool/files/patch-git_a685d8a
  head/graphics/qt5-pixeltool/files/patch-src__src.pro
  head/graphics/qt5-svg/Makefile
  head/lang/qt5-qml/files/patch-git_cf6e9711
  head/lang/qt5-qml/pkg-plist
  head/misc/Makefile
  head/misc/qt5-l10n/
  head/misc/qt5-l10n/Makefile
  head/misc/qt5-l10n/pkg-plist
  head/multimedia/qt5-multimedia/Makefile
  head/multimedia/qt5-multimedia/files/extrapatch-no-gstreamer
  head/multimedia/qt5-multimedia/pkg-plist
  head/net/Makefile
  head/net/qt5-enginio/
  head/net/qt5-enginio/Makefile
  head/net/qt5-enginio/pkg-plist
  head/net/qt5-network/Makefile
  head/net/qt5-network/pkg-plist
  head/print/qt5-printsupport/Makefile
  head/textproc/clucene-qt5/files/patch-src__src.pro
  head/textproc/qt5-xmlpatterns/pkg-plist
  head/www/qt5-webchannel/pkg-plist
  head/www/qt5-websockets/pkg-plist
  head/www/webkit-qt5/Makefile
  head/www/webkit-qt5/files/patch-Source__WebCore__platform__graphics__gstreamer__WebKitWebSourceGstreamer.cpp
  head/x11/qt5-x11extras/Makefile
  head/x11/qt5-x11extras/pkg-plist
  head/x11-toolkits/Makefile
  head/x11-toolkits/qt5-canvas3d/
  head/x11-toolkits/qt5-canvas3d/Makefile
  head/x11-toolkits/qt5-canvas3d/pkg-plist
  head/x11-toolkits/qt5-declarative/Makefile
  head/x11-toolkits/qt5-gui/Makefile
  head/x11-toolkits/qt5-gui/files/
  head/x11-toolkits/qt5-gui/pkg-plist
  head/x11-toolkits/qt5-quick/Makefile
  head/x11-toolkits/qt5-quick/pkg-plist
  head/x11-toolkits/qt5-quickcontrols/Makefile
  head/x11-toolkits/qt5-quickcontrols/pkg-plist
  head/x11-toolkits/qt5-uiplugin/
  head/x11-toolkits/qt5-uiplugin/Makefile
  head/x11-toolkits/qt5-uiplugin/files/
  head/x11-toolkits/qt5-uiplugin/files/patch-src__src.pro
  head/x11-toolkits/qt5-uiplugin/files/patch-src_designer_src_src.pro
  head/x11-toolkits/qt5-uiplugin/pkg-plist
  head/x11-toolkits/qt5-widgets/pkg-plist
Comment 9 w.schwarzenfeld 2016-01-24 21:53:37 UTC
Update fails with: 
All >> qt5-declarative-5.4.1_1 >> qt5-designer-5.4.1 >> qt5-xml-5.4.1 (23/23)

===>>> Currently installed version: qt5-xml-5.4.1
===>>> Port directory: /usr/ports/textproc/qt5-xml

===>>> Gathering dependency list for textproc/qt5-xml from ports
===>>> Initial dependency check complete for textproc/qt5-xml

===>>> Continuing initial dependency check for devel/qt5-designer

===>>> x11-toolkits/qt5-uiplugin seems to depend on devel/qt5-designer
       which looks like a dependency loop

===>>> Try pkg_updating devel/qt5-designer
===>>> Aborting update

===>>> Update for qt5-designer-5.4.1 failed
===>>> Aborting update

===>>> Update for qt5-declarative-5.4.1_1 failed
===>>> Aborting update

(10.2-RELEASE-amd64)
Comment 10 commit-hook freebsd_committer 2016-01-25 11:28:51 UTC
A commit references this bug:

Author: rakuco
Date: Mon Jan 25 11:28:37 UTC 2016
New revision: 407203
URL: https://svnweb.freebsd.org/changeset/ports/407203

Log:
  Remove CONFLICTS with older qt5-designer versions.

  It is causing portmaster to fail with an error like this:
    ===>>> x11-toolkits/qt5-uiplugin seems to depend on devel/qt5-designer
           which looks like a dependency loop

  which is not really what's happening here; the error comes from the fact that
  qt5-designer 5.4.1 is being upgraded to 5.5.1, qt5-uiplugin is added as a
  dependency that must be built first, but then it's marked as CONFLICTing with
  the installed qt5-designer version.

  Since qt5-designer < 5.5.0 does not actually install any of the uiplugin files
  (since it was not an independent module before), we can just remove the
  CONFLICTS line.

  Thanks to Walter Schwarzenfeld (w.schwarzenfeld@aon.at) for the report.

  PR:		206435

Changes:
  head/x11-toolkits/qt5-uiplugin/Makefile